IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_REQUIRETYPE')
CREATE TABLE T_MSPLAN_REQUIRETYPE
(
  FID 				BIGINT DEFAULT 0 NOT NULL,
  FNAME 		NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FNUMBER 			NVARCHAR(30) DEFAULT ' ' NOT NULL, 
  FSTATUS 			NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATORID 		BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID 		BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE 			NVARCHAR(1) DEFAULT ' ' NOT NULL, 	
  FCREATETIME 		DATETIME ,                  	
  FMODIFYTIME 		DATETIME ,                  	
  FMASTERID 		BIGINT DEFAULT 0 NOT NULL,    	
  FCREATEORGID 		BIGINT DEFAULT 0 NOT NULL, 	
  FORGID 			BIGINT DEFAULT 0 NOT NULL,       	
  FCTRLSTRATEGY 	NVARCHAR(5) DEFAULT ' ' NOT NULL, 	
  FSOURCEDATAID 	BIGINT DEFAULT 0 NOT NULL, 	
  FBITINDEX 		INT DEFAULT 0 NOT NULL,       	
  FSOURCEBITINDEX 	INT DEFAULT 0 NOT NULL, 	
  FSRCCREATEORGID 	BIGINT DEFAULT 0 NOT NULL,
  FDIRECTGENERATE 	CHAR(1) DEFAULT '0' NOT NULL, 
  FREVERIDENTIF 	CHAR(1) DEFAULT '0' NOT NULL, 	
  FSPECIALIDENTIF 	CHAR(1) DEFAULT '0' NOT NULL, 
  FAUDITORID 		BIGINT DEFAULT 0 NOT NULL,   
  FAUDITTIME 		DATETIME 
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSPLAN_REQUIRETYPE_L')
CREATE TABLE T_MSPLAN_REQUIRETYPE_L
(
  FPKID 		NVARCHAR(255) DEFAULT ' ' NOT NULL, 
  FID 			BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID 	NVARCHAR(255) DEFAULT ' ' NOT NULL,          
  FNAME 		NVARCHAR(50) DEFAULT ' ' NOT NULL
);